C     ===============================================================
C     IZRACUNAVANJE BESSEL-ove FNKCIJE J0(X), -3<=X<00
C     Polynomial Approximation: Abramowitz M. and Stegun A.
C     ===============================================================
      SUBROUTINE DBESJ0(X,BJ0)
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
      Y=X/3.D0
      IF(Y-1.D0) 1,1,2
    1 IF(Y+1.D0) 4,5,5
    4 BJ0=1.D+35
      PRINT *,'ARGUMENT BESSEL-ove Funk. <-3.'
      RETURN
    5 Y=Y*Y
      BJ0=1.D0+Y*(-2.2499997D0+Y*(1.2656208D0+Y*(-0.3163866D0+
     *Y*(0.0444479D0+Y*(-0.0039444D0+0.00021D0*Y)))))
      GO TO 3
    2 Y=3.D0/X
      F0=0.79788456D0+Y*(-0.00000077D0+Y*(-0.00552740D0+
     *Y*(-0.00009512D0+Y*(0.001372370D0+Y*(-0.00072805D0+
     *0.00014476D0*Y)))))
      T0=X-0.78539816D0+Y*(-0.04166397D0+Y*(-0.00003954D0+
     *Y*(0.00262573D0+Y*(-0.00054125D0+Y*(-0.00029333D0+
     *0.00013558D0*Y)))))
      BJ0=F0*DCOS(T0)/DSQRT(X)
    3 CONTINUE
      RETURN
      END
