C	SAMPLE PROGRAM ILLUSTRATING THE USE OF QAGI
C
C	INT(ALOG(X)/(1+100*X**2)dx) from 0 to  =
C             - ALOG(10)/20  -0.3616892.
C
	REAL*8 ABSERR,BOUND,EPSABS,EPSREL,F,RESULT
        INTEGER IER,INF,NEVAL
        EXTERNAL F
C    BOUND AND INF DETERMINE THE INTEGRATION LIMITS
	BOUND = 0.D0
        INF = 1
C    EPSABS AND EPSREL DETERMINE THE ACCURACY REQUIREMENT
	EPSABS = 0.D0
        EPSREL = 1.0D-3
C
	CALL QAGI(F,BOUND,INF,EPSABS,EPSREL,RESULT,ABSERR,NEVAL,
     *   IER)
C
C     PRINT THE RESULT
	WRITE(6,900) RESULT
        WRITE(6,901) ABSERR
        WRITE(6,902) NEVAL
        WRITE(6,903) IER
  900	FORMAT(26H INTEGRAL APPROXIMATION = ,D24.15)
  901	FORMAT(30H ESTIMATE OF ABSOLUTE ERROR = ,D9.2)
  902	FORMAT(34H NUMBER OF FUNCTION EVALUATIONS = ,I5)
  903	FORMAT(14H ERROR CODE = ,I1)
  	STOP
        END
C=========================================================
	REAL*8 FUNCTION F(X)
        REAL*8 X
        F = DLOG(X)/(1.D0+1.D2*X**2)
        RETURN
        END
C=========================================================
