C	SAMPLE PROGRAM ILLUSTRATING THE USE OF QNG
C
C    INT(SQRT(X)ALOG(X)dx) from 0 - 1   = 4/9
C
C
        REAL*8 A,ABSERR,B,EPSABS,EPSREL,F,RESULT
        INTEGER IER,NEVAL
        EXTERNAL F
C    A AND B ARE INTEGRATION LIMITS
        A = 0.D0
        B = 1.D0
C    EPSABS AND EPSREL DETERMINE THE ACCURACY REQUIREMENT
        EPSABS = 1.D-10
        EPSREL = 1.D-12
C
        CALL QNG(F,A,B,EPSABS,EPSREL,RESULT,ABSERR,NEVAL,IER)
C
C       PRINT THE RESULT
	WRITE(6,900) RESULT
        WRITE(6,901) ABSERR
        WRITE(6,902) NEVAL
        WRITE(6,903) IER
  900	FORMAT(26H INTEGRAL APPROXIMATION = , D24.15)
  901	FORMAT(30H ESTIMATE OF ABSOLUTE ERROR = , D9.2)
  902	FORMAT(34H NUMBER OF FUNCTION EVALUATIONS = ,I5)
  903	FORMAT(14H ERROR CODE = ,I1)
  	STOP
        END
        REAL*8 FUNCTION F(X)
        REAL*8 X
        F = DSQRT(X)*DLOG(X)
        RETURN
        END
