C	SAMPLE PROGRAM ILLUSTRATING THE USE OF QAG
C
C	INT(COS(100*SIN(X))) from 0 to  =  * J0(100) = 0.06278740
C
        REAL*8 A,ABSERR,B,EPSABS,EPSREL,F,RESULT
        INTEGER IER,KEY,NEVAL
        EXTERNAL F
C    A  AND  B ARE THE INTEGRATION LIMITS
        A = 0.D0
        B = 3.1415926535D0
C    EPSABS AND EPSREL DETERMINE THE ACCURACY REQUIREMENT
        EPSABS = 0.D0
        EPSREL = 1.0D-3
C    KEY DETERMINES THE INTEGRATION RULE USED IN QAG
        KEY = 6
C
        CALL QAG(F,A,B,EPSABS,EPSREL,KEY,RESULT,ABSERR,NEVAL,
     *    IER)
C
C     PRINT THE RESULT
	WRITE(6,900) RESULT
        WRITE(6,901) ABSERR
        WRITE(6,902) NEVAL
        WRITE(6,903) IER
  900	FORMAT(26H INTEGRAL APPROXIMATION = ,D24.15)
  901	FORMAT(30H ESTIMATE OF ABSOLUTE ERROR = ,D9.2)
  902	FORMAT(34H NUMBER OF FUNCTION EVALUATIONS = ,I5)
  903	FORMAT(14H ERROR CODE = ,I1)
  	STOP
        END
C=========================================================
        REAL*8 FUNCTION F(X)
        REAL*8 X
        F = DCOS(1.0D2*DSIN(X))
        RETURN
        END
C=========================================================
