C	SAMPLE PROGRAM ILLUSTRATING THE USE OF QAWF
C
C	INT(X**(-1/2)*COS(-X/2)dx) from 0 to  =  1
C
	REAL*8 A,ABSERR,EPSABS,F,OMEGA,PI,RESULT
        INTEGER IER,INTEGR,NEVAL
        EXTERNAL F
C    A IS THE FINITE INTEGRATION LIMIT
      A = 0.D0
C    OMEGA AND INTEGR DETERMINE THE WEIGTH FUNCTION
      PI = 3.1415926535D0
        OMEGA = 0.5D0*PI
        INTEGR = 1
C    EPSABS IS THE REQUESTED ABSOLUTE ACCURACY
        EPSABS = 1.0D-10
C
        CALL QAWF(F,A,OMEGA,INTEGR,EPSABS,RESULT,ABSERR,NEVAL,
     *   IER)
C
C     PRINT THE RESULT
        WRITE(6,900) RESULT
        WRITE(6,901) ABSERR
        WRITE(6,902) NEVAL
        WRITE(6,903) IER
  900	FORMAT(26H INTEGRAL APPROXIMATION = ,D24.15)
  901	FORMAT(30H ESTIMATE OF ABSOLUTE ERROR = ,D9.2)
  902	FORMAT(34H NUMBER OF FUNCTION EVALUATIONS = ,I5)
  903	FORMAT(14H ERROR CODE = ,I1)
  	STOP
        END
C=========================================================
        REAL*8 FUNCTION F(X)
        REAL*8 X
        F = 0.D0
        IF(X.GT.0.D0) F = 1.D0/DSQRT(X)
        RETURN
        END
C=========================================================
