$DEBUG
      SUBROUTINE QMACO(EPMACH,UFLOW,OFLOW)
C
C......................................................................
C
C   QMACO IS A MACHINE DEPENDENT SUBROUTINE, PROVIDING THE MACHINE
C   CONSTANTS TO THE QUADPACK ROUTINES
C
C   PARAMETERS
C       ON RETURN
C        EPMACH    - THE LARGEST RELATIVE SPACING
C        UFLOW     - THE SMALLEST POSITIVE MAGNITUDE
C        OFLOW     - THE LARGEST POSITIVE MAGNITUDE
C
C.....................................................................
C
      REAL*8 EPMACH,OFLOW,UFLOW
C
C   MACHINE CONSTANTS FOR PDP-11
C
C     EPMACH = 1.0D-7
C     UFLOW = 1.0D-37
C     OFLOW = 1.0D+38
C
C   MACHINE CONSTANTS FOR PC-386
C
      EPMACH = 1.0D-15
      UFLOW = +2.225073858507201D-308
      OFLOW = +1.797693134862315D+308

      RETURN
      END
